> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Evidence

> Update evidence text response for a chargeback evidence item.



## OpenAPI

````yaml post /billing/chargebacks/{chargeback_id}/evidence/{evidence_id}
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /billing/chargebacks/{chargeback_id}/evidence/{evidence_id}:
    post:
      tags:
        - Chargebacks
      summary: Update Evidence
      description: Update evidence text response for a chargeback evidence item.
      operationId: >-
        update_evidence_billing_chargebacks__chargeback_id__evidence__evidence_id__post
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: chargeback_id
          in: path
          required: true
          schema:
            type: string
            title: Chargeback Id
        - name: evidence_id
          in: path
          required: true
          schema:
            type: string
            title: Evidence Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ChargebackEvidenceUpdate'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
                title: >-
                  Response Update Evidence Billing Chargebacks  Chargeback Id 
                  Evidence  Evidence Id  Post
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ChargebackEvidenceUpdate:
      properties:
        response:
          anyOf:
            - type: string
            - type: 'null'
          title: Response
          description: Text response for evidence item
        fileUploadIds:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Fileuploadids
          description: File upload IDs to attach
      type: object
      title: ChargebackEvidenceUpdate
      description: >-
        Schema for updating chargeback evidence (text response and/or file
        attachments).
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````